<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="horizontal" >
    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_weight="5" />

    <NumberPicker
        android:id="@+id/picker"
        android:layout_width="wrap_content"
        android:layout_height="200dp"
        android:layout_weight="1"
        android:theme="@style/NumberPickerText" />

    <TextView
        android:id="@+id/textView2"
        android:layout_width="wrap_content"
        android:layout_height="200dp"
        android:gravity="center_vertical"
        android:text="@string/degrees_celcius"
        android:layout_weight="1"
        android:textSize="25sp" />
    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_weight="3" />
</LinearLayout>